## org.eclipse.datatools.modelbase.sql.constraints
Class IncrementType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.constraints.IncrementType

public final class IncrementType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Increment Type', and utility methods for working with them.

See Also:
  `SQLConstraintsPackage.getIncrementType()`, Serialized Form

Field Summary
`static int` `ASC` The 'ASC' literal value.
`static IncrementType` `ASC_LITERAL` The 'ASC' literal object.
`static int` `DESC` The 'DESC' literal value.
`static IncrementType` `DESC_LITERAL` The 'DESC' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Increment Type' enumerators.

Method Summary
`static IncrementType` `get(int value)` Returns the 'Increment Type' literal with the specified value.
`static IncrementType` `get(java.lang.String name)` Returns the 'Increment Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASC

    public static final int ASC

  The 'ASC' literal value.

  See Also:
    `ASC_LITERAL`, Constant Field Values

### DESC

    public static final int DESC

  The 'DESC' literal value.

  See Also:
    `DESC_LITERAL`, Constant Field Values

### ASC_LITERAL

    public static final IncrementType ASC_LITERAL

  The 'ASC' literal object.

  If the meaning of 'ASC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASC`

### DESC_LITERAL

    public static final IncrementType DESC_LITERAL

  The 'DESC' literal object.

  If the meaning of 'DESC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DESC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Increment Type' enumerators.

Method Detail

### get

    public static IncrementType get(java.lang.String name)

  Returns the 'Increment Type' literal with the specified name.

### get

    public static IncrementType get(int value)

  Returns the 'Increment Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.